Fix cups plugin group owner (#17087)
Signed-off-by: Tasos Katsoulas <tasos@netdata.cloud>
Tasos Katsoulas committed
Mar 4, 2024 at 08:21 UTC
0ef030c6fafae800ae7e5e6de7f1dcfbb9767caa
2 files changed
+26
contrib/debian/netdata-plugin-cups.postinst
new
+13
@@ -0,0 +1,13 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+case "$1" in
6
+ configure|reconfigure)
7
+ chown root:netdata /usr/libexec/netdata/plugins.d/cups.plugin
8
+ ;;
9
+esac
10
+
11
+#DEBHELPER#
12
+
13
+exit 0
contrib/debian/netdata-plugin-cups.preinst
new
+13
@@ -0,0 +1,13 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+case "$1" in
6
+ install)
7
+ if ! getent group netdata > /dev/null; then
8
+ addgroup --quiet --system netdata
9
+ fi
10
+ ;;
11
+esac
12
+
13
+#DEBHELPER#
\ No newline at end of file